Update Call Group
curl --request PATCH \
--url https://api.voxo.co/v2/admin/call-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/call-groups/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/call-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"number": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"enableMusicOnHold": "<string>",
"checkInUse": "<string>",
"ringStrategy": "<string>",
"ringTime": 123,
"dialTimeout": 123,
"enableForwarding": "<string>",
"routingDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
],
"timeoutDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
]
}Call Groups
Update Call Group
Update an existing call group
PATCH
/
v2
/
admin
/
call-groups
/
{id}
Update Call Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Body
application/json
Available options:
on Available options:
on Available options:
RINGALL Available options:
on Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
Updated call group
Call group ID
Tenant ID
Call group name
Call group number
Resolved branch
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?